<form id="dice-pool-form" class="ecryme-dv-form" data-actor-id="{{ speakerId }}">
  <input type="hidden" name="label" id="label" value="{{ label }}" />
  <input type="hidden" name="rollType" id="rollType" value="{{ rollType }}" />
  <input type="hidden" name="abilityScore" id="abilityScore" value="{{ abilityScore }}" />
  <input type="hidden" name="skillScore" id="skillScore" value="{{ skillScore }}" />
  <div class="dice-pool flexcol">
     <div class="flexrow row lgb flex-group-center">
      <span>Type de jet <strong>{{#if (eq rollType 'skill')}}{{ localize 'VERMINE.skill_title' }}{{else}}{{ localize 'VERMINE.ability' }}{{/if}}</strong></span>
      <span>{{#if (eq rollType 'skill')}}{{ localize 'VERMINE.skill_title' }}{{else}}{{ localize 'VERMINE.ability' }}{{/if}} 
        <strong>{{#if (eq rollType 'skill')}}{{ smarttl "SKILLS" label }}{{else}}{{ smarttl "ABILITIES" label }}{{/if}}</strong> </span>      
    </div>
    <div class="flexrow row mdb">
      <label class="label" style="flex: 60%;">{{localize 'VERMINE.difficulty'}}</label>
      <select class="info-value" style="max-width: 40%;" data-dtype="String" type="number" name="difficulty" id="difficulty" min="3" max="10">
        {{#select difficulty }}
          <option value="{{ diffLevel 'difficulty' 1}}">{{ diffLevel 'label' 1}} - {{ diffLevel 'difficulty' 1}}</option>
          <option value="{{ diffLevel 'difficulty' 1}}">{{ diffLevel 'label' 2}} - {{ diffLevel 'difficulty' 2}}</option>
          <option value="{{ diffLevel 'difficulty' 1}}" selected>{{ diffLevel 'label' 3}} - {{ diffLevel 'difficulty' 3}}</option>
          <option value="{{ diffLevel 'difficulty' 1}}">{{ diffLevel 'label' 4}} - {{ diffLevel 'difficulty' 4}}</option>
          <option value="{{ diffLevel 'difficulty' 1}}">{{ diffLevel 'label' 5}} - {{ diffLevel 'difficulty' 5}}</option>
        {{/select}}
    </select>
    </div>
    <!--div class="flexrow row">      
      <input style="text-align: center;" class="numeric-entry" type="number" name="difficulty" value="7" id="difficulty" min="3" max="10">
    </div-->   
    <div class="flexrow row mdb">
      <label class="label" style="flex: 60%;">{{localize 'VERMINE.ability'}}</label>
       <select class="info-value" style="max-width: 40%;" data-dtype="String" type="number" name="ability" id="ability" min="1" max="5">
        {{#if (eq rollType 'skill')}}<option>-- Choisissez une caractéristique --</option>{{/if}}
        {{#each abilities as |ability key| }}
            <option value="{{ key }}" {{#if (eq key @root.label)}}selected{{/if}}> {{ smarttl "ABILITIES" key }} - {{ ability.value }}</option>
        {{/each}}
       </select>
    </div>
    {{#if (eq rollType 'skill')}}
    <div class="flexrow row  mdb">
      <label class="label" style="flex: 60%;">{{localize 'VERMINE.skill_title'}}</label>
      <select class="info-value" style="max-width: 40%;" data-dtype="String" type="number" name="skill" id="skill" min="1" max="5">
        {{#each skills as |skill key| }}
            <option value="{{ key }}" {{#if (eq key @root.label)}}selected{{/if}}> {{ smarttl "SKILLS" key }} - {{ skill.value }}</option>
        {{/each}}
      </select>
    </div>
    <div class="flexrow row lgb">
      <span id="skillLevel">{{#if (ne skillScore 0)}}{{ skillLevel 'label' skillScore }}{{/if}}</span>
      <span>{{localize 'VERMINE.bonus'}} : <em id="skillDicePool">{{#if (ne skillScore 0)}}{{ skillLevel 'dicePool' skillScore }}{{else}}0{{/if}}</em></span>
      <span>{{localize 'VERMINE.reroll'}} : <em id="skillReroll">{{#if (ne skillScore 0)}}{{ skillLevel 'reroll' skillScore }}{{else}}0{{/if}}</em></span>
    </div>    
    <div class="flexrow row smb">
      <label class="label">{{localize 'VERMINE.specialty'}} (+1D)</label>
      <input type="checkbox" name="usingSpecialization" id="usingSpecialization" value="1" {{#if specialty}}checked{{/if}}>
    </div>
    {{/if}}
    <div class="flexrow row smb">
      <label class="label">{{localize 'VERMINE.help'}} (+1D)</label>
      <input type="checkbox" name="helped" id="helped" value="1" {{#if help}}checked{{/if}}>
    </div>
    <div class="flexrow row mdb">
      <label class="label">{{localize 'VERMINE.tooling'}} (+1D)</label>
      <input type="checkbox" name="usingTools" id="usingTools" value="1" {{#if help}}checked{{/if}}>
    </div>
    <div class="flexrow row mdb">
      <label class="label" style="flex: 80%;">{{localize 'VERMINE.self_control'}}</label>
      <input type="number" class="numeric-entry" style="text-align: center;" name="self_control" id="self_control" min="0" max="5" value="0">
    </div>
    <div class="flexrow row mdb">
      <label class="label" style="flex: 80%;">{{localize 'VERMINE.group'}}</label>
      <input type="number" class="numeric-entry" style="text-align: center;" name="group" id="group" min="0" max="" value="0">
    </div>
  </div>    
  <p><input type="hidden" name="speakerId" value="{{ speakerId }}" />
    <input type="hidden" name="skillLabel" value="{{ skill }}" /></p>
</form>
